> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Sync From ID or Slug

> Trigger a new run globally based on sync id or sync slug

If a run is already in progress, this queues a sync run that will get
executed immediately after the current run completes.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json post /syncs/trigger
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /syncs/trigger:
    post:
      summary: Trigger Sync From ID or Slug
      description: |-
        Trigger a new run globally based on sync id or sync slug

        If a run is already in progress, this queues a sync run that will get
        executed immediately after the current run completes.
      operationId: TriggerRunCustom
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerRunCustomInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TriggerRunOutput'
                  - $ref: '#/components/schemas/ValidateErrorJSON'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    TriggerRunCustomInput:
      properties:
        syncSlug:
          type: string
          description: Trigger run based on sync slug
        syncId:
          type: string
          description: Trigger run based on sync id
          pattern: ^[0-9]+$
        clearAndFill:
          type: boolean
          description: >-
            Whether to clear the audience and then sync the full query to the
            destination
          default: 'false'
        resetCDC:
          type: boolean
          description: >-
            Whether to sync all the rows in the query without executing changes
            on the destination.
          default: 'false'
        fullResync:
          type: boolean
          description: >-
            Whether to resync all the rows in the query (i.e. ignoring
            previously

            synced rows).
          default: 'false'
      type: object
      description: >-
        The input of a trigger action to run syncs based on sync ID, slug or
        other filters
    TriggerRunOutput:
      description: The output of a trigger action to run syncs
      properties:
        id:
          type: string
          description: >-
            The id of the triggered sync run. This can be passed to `/sync/runs`
            to

            get the run's status.
      required:
        - id
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````